<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/SceneEditorMenu/UIPopupScript/UIPopupScriptConfigs.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d33/_u_i_popup_script_configs_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">UIPopupScriptConfigs.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d33/_u_i_popup_script_configs_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>UIPopupScriptConfigs <span class="keyword">extends</span> <a class="code hl_class" href="../../d3/da3/class_u_i_popup_script.html">UIPopupScript</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#ac15c43c18cbb9f2a56f307928267f8be">    3</a></span>    <span class="keyword">private</span> ButtonWidget <a class="code hl_variable" href="../../d3/da3/class_u_i_popup_script.html#ac15c43c18cbb9f2a56f307928267f8be">m_BtnOk</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a332c4755ba9110cd3bf4ef2472516790">    4</a></span>    <span class="keyword">private</span> ButtonWidget <a class="code hl_variable" href="../../d3/da3/class_u_i_popup_script.html#a332c4755ba9110cd3bf4ef2472516790">m_BtnCancel</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#aa7d21534833c489cb2ed19363f7b37ba">    5</a></span>    <span class="keyword">private</span> ButtonWidget <a class="code hl_variable" href="../../d3/da3/class_u_i_popup_script.html#aa7d21534833c489cb2ed19363f7b37ba">m_BtnCopyToClipboard</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#ae32e72070d033dd6f9700fb0bf7a1459">    7</a></span>    <span class="keyword">private</span> TextListboxWidget <a class="code hl_variable" href="../../d3/da3/class_u_i_popup_script.html#ae32e72070d033dd6f9700fb0bf7a1459">m_ConfigHierarchyTextListbox</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a9c726de9e8e0200412eb78d05ac00d4a">    8</a></span>    <span class="keyword">private</span> TextListboxWidget <a class="code hl_variable" href="../../d3/da3/class_u_i_popup_script.html#a9c726de9e8e0200412eb78d05ac00d4a">m_ConfigVariablesTextListbox</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a48f7b341c69e0f4439967d5594b88100">   10</a></span>    <span class="keyword">private</span> PluginConfigViewer <a class="code hl_variable" href="../../d3/da3/class_u_i_popup_script.html#a48f7b341c69e0f4439967d5594b88100">m_ModuleConfigViewer</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a95bebb1d92822fee0c08860bee06445b">   12</a></span>    <span class="keyword">private</span> EditBoxWidget <a class="code hl_variable" href="../../d3/da3/class_u_i_popup_script.html#a95bebb1d92822fee0c08860bee06445b">m_ObjectConfigFilter</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a3199a65cc4a17742f2ae0cfef0ad223a">   14</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#a3199a65cc4a17742f2ae0cfef0ad223a">UIPopupScriptConfigs</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> wgt )</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        m_BtnOk     = ButtonWidget.Cast( wgt.FindAnyWidget(<span class="stringliteral">&quot;btn_ppp_pc_ok&quot;</span>) );</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        m_ConfigHierarchyTextListbox = TextListboxWidget.Cast( wgt.FindAnyWidget(<span class="stringliteral">&quot;ConfigHierarchy&quot;</span>) );</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        m_ConfigVariablesTextListbox = TextListboxWidget.Cast( wgt.FindAnyWidget(<span class="stringliteral">&quot;ConfigVariables&quot;</span>) );</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        m_BtnCopyToClipboard = ButtonWidget.Cast( wgt.FindAnyWidget(<span class="stringliteral">&quot;btn_ppp_pc_copy&quot;</span>) );</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        m_ObjectConfigFilter = EditBoxWidget.Cast( wgt.FindAnyWidget(<span class="stringliteral">&quot;ObjectConfigFilter&quot;</span>) );</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a43e70af7edae817ce88df68548e94d9c">   23</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#a43e70af7edae817ce88df68548e94d9c">ChangeConfigFilter</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">if</span> ( m_ObjectConfigFilter.GetText() == <span class="stringliteral">&quot;&quot;</span> )</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#ad91f3fc62e32d185e85f43671a9bd75b">ClearHierarchy</a>();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#af05ccde2a142d675a194b1c6f473a276">FindInHierarchy</a>( m_ObjectConfigFilter.GetText() );</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a5b6d1f87c9e9a6e8b6e861264fd14f6c">   35</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#a5b6d1f87c9e9a6e8b6e861264fd14f6c">OnOpen</a>(<a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> param)</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        m_ModuleConfigViewer    = PluginConfigViewer.Cast( <a class="code hl_function" href="../../d9/d5d/_plugin_manager_8c.html#a35050f82bea320b7a5336fc549630eaf">GetPlugin</a>( PluginConfigViewer ) );</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#ad91f3fc62e32d185e85f43671a9bd75b">ClearHierarchy</a>();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a29e9bcb0f3d043cf4c00cb8ef36c1b87">   41</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#a29e9bcb0f3d043cf4c00cb8ef36c1b87">AddItemToClipboard</a>( TextListboxWidget text_listbox_widget )</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <span class="keywordtype">int</span> selected_row_index = text_listbox_widget.GetSelectedRow();</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordflow">if</span> ( selected_row_index != -1 )</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordtype">string</span> item_name;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            text_listbox_widget.GetItemText( selected_row_index, 0, item_name );</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a0a8957d675b1e2fb4b3738969803fc11">CopyToClipboard</a>( item_name );</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a3dd952f8ad236b6976863115248ccd05">   52</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#a3dd952f8ad236b6976863115248ccd05">RenderVariables</a>( <span class="keywordtype">int</span> row )</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <a class="code hl_typedef" href="../../dc/db7/_script_console_8c.html#a1775d06eeae54f0eb0a65a24b223b165">ConfigParams</a> config_params;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">if</span>( row &gt; -1 &amp;&amp; row &lt; m_ConfigHierarchyTextListbox.GetNumItems() )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            m_ConfigHierarchyTextListbox.GetItemData( row, 0, config_params );</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            m_ConfigVariablesTextListbox.ClearItems();</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            ref <a class="code hl_class" href="../../d2/d41/classarray.html">TStringArray</a> variables;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a> = config_params.param4;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            variables = m_ModuleConfigViewer.GetConfigVariables( <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a> );</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; variables.Count(); i++ )</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>                m_ConfigVariablesTextListbox.AddItem( variables.Get(i), NULL, 0);</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#aa33137b396d9e32003904ea2765fcf30">   69</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#aa33137b396d9e32003904ea2765fcf30">ExpandHierarchy</a>( <span class="keywordtype">int</span> row )</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">if</span>( row &lt;= -1 &amp;&amp; row &gt;= m_ConfigHierarchyTextListbox.GetNumItems() )</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        ref <a class="code hl_class" href="../../d2/d41/classarray.html">TStringArray</a> variables;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="comment">// get current row data</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <a class="code hl_typedef" href="../../dc/db7/_script_console_8c.html#a1775d06eeae54f0eb0a65a24b223b165">ConfigParams</a> config_params;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        m_ConfigHierarchyTextListbox.GetItemData( row, 0, config_params );</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span> </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordtype">string</span> config_path = config_params.param4;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordtype">int</span> deep = config_params.param5;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span> </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordtype">string</span> offset = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; deep; i++)</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            offset = offset + <span class="stringliteral">&quot;  &quot;</span>;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <span class="comment">// change selected node</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        variables = m_ModuleConfigViewer.GetConfigHierarchy( config_path );</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordtype">int</span> childrens_count = variables.Count();</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        m_ConfigHierarchyTextListbox.SetItem( row, offset + <span class="stringliteral">&quot;- &quot;</span> + config_params.param2, <span class="keyword">new</span> <a class="code hl_typedef" href="../../dc/db7/_script_console_8c.html#a1775d06eeae54f0eb0a65a24b223b165">ConfigParams</a>( <span class="keyword">true</span>, config_params.param2, childrens_count, config_path, deep ), 0 );</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        offset = offset + <span class="stringliteral">&quot;  &quot;</span>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <span class="comment">// render childrens</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        deep = deep + 1;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        childrens_count = 0;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keywordflow">for</span> ( i = variables.Count() - 1; i &gt;= 0; i-- )</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            <span class="keywordtype">string</span> new_config_path = ( config_path + <span class="stringliteral">&quot; &quot;</span> + variables.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga8fc49f31d2e62128536217aa2b627e46">Get</a>(i) ).Trim();</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            m_ConfigHierarchyTextListbox.AddItem( offset + <span class="stringliteral">&quot;+ &quot;</span> + variables.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga8fc49f31d2e62128536217aa2b627e46">Get</a>(i), <span class="keyword">new</span> <a class="code hl_typedef" href="../../dc/db7/_script_console_8c.html#a1775d06eeae54f0eb0a65a24b223b165">ConfigParams</a>( <span class="keyword">false</span>, variables.Get(i), childrens_count, new_config_path, deep  ), 0, (row + 1) );</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span> </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    <span class="comment">// niekde je bug, ked su len 2 polozky a expand/collapse na prvu tak zmaze aj druhu. ak collapse a expand na druhu tak crash lebo sa snazi zmazat riadok co neexistuje</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#af856068175e56e8b3461bbb0bd4d0b4d">  109</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#af856068175e56e8b3461bbb0bd4d0b4d">CollapseHierarchy</a>( <span class="keywordtype">int</span> row )</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>    {</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordflow">if</span>( row &lt;= -1 &amp;&amp; row &gt;= m_ConfigHierarchyTextListbox.GetNumItems() )</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <a class="code hl_typedef" href="../../dc/db7/_script_console_8c.html#a1775d06eeae54f0eb0a65a24b223b165">ConfigParams</a> config_params;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <a class="code hl_typedef" href="../../dc/db7/_script_console_8c.html#a1775d06eeae54f0eb0a65a24b223b165">ConfigParams</a> config_params_next;</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        m_ConfigHierarchyTextListbox.GetItemData( row, 0, config_params );</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        m_ConfigHierarchyTextListbox.GetItemData( row + 1, 0, config_params_next );</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span> </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        <span class="keywordtype">int</span> deep = config_params.param5;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        <span class="keywordtype">int</span> deep_next = config_params_next.param5;</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <span class="keywordtype">int</span> max_count = m_ConfigHierarchyTextListbox.GetNumItems();</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <span class="keywordtype">int</span> remove_lines_count = 0;</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="comment">// Print(max_count);</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = row + 1; i &lt; max_count; i++)</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            <span class="keywordflow">if</span> ( deep &lt; deep_next &amp;&amp; i &lt;= max_count )</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>            {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>                remove_lines_count = remove_lines_count + 1;</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>                m_ConfigHierarchyTextListbox.GetItemData( i, 0, config_params_next );</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>                deep_next = config_params_next.param5;</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            }</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        }</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span> </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <span class="comment">// remove remove_lines_count lines from row</span></div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <span class="comment">// remove_lines_count = remove_lines_count - 1;</span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <span class="keywordflow">for</span> ( i = 1; i &lt; remove_lines_count; i++ )</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        {</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a> = row + 1;</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a> &lt; max_count )</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            {</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>                m_ConfigHierarchyTextListbox.RemoveRow( <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a> );</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>            }</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        }</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span> </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        <span class="keywordtype">string</span> offset = <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <span class="keywordflow">for</span> ( i = 0; i &lt; deep; i++)</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        {</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>            offset = offset + <span class="stringliteral">&quot;  &quot;</span>;</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        }</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        m_ConfigHierarchyTextListbox.SetItem( row, offset + <span class="stringliteral">&quot;+ &quot;</span> + config_params.param2, <span class="keyword">new</span> <a class="code hl_typedef" href="../../dc/db7/_script_console_8c.html#a1775d06eeae54f0eb0a65a24b223b165">ConfigParams</a>( <span class="keyword">false</span>, config_params.param2, 0, config_params.param4, deep ), 0 );</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    }</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>    </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#ad91f3fc62e32d185e85f43671a9bd75b">  155</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#ad91f3fc62e32d185e85f43671a9bd75b">ClearHierarchy</a>()</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>    {</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <span class="comment">// config hierarchy</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <span class="comment">// string config_path = &quot;configfile CfgVehicles APC&quot;;</span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        <span class="comment">// string config_path = &quot;&quot;;</span></div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span> </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        m_ConfigHierarchyTextListbox.ClearItems();</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        m_ConfigVariablesTextListbox.ClearItems();</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span> </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        ref <a class="code hl_class" href="../../d2/d41/classarray.html">TStringArray</a> base_classes = <span class="keyword">new</span> <a class="code hl_typedef" href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a>;</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#a35bce460c0859ef91cccf511c579c73d">GetBaseConfigClasses</a>( base_classes );</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span> </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        <span class="keywordtype">string</span> config_path = <span class="stringliteral">&quot;configfile&quot;</span>;</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        ref <a class="code hl_class" href="../../d2/d41/classarray.html">TStringArray</a> variables = m_ModuleConfigViewer.GetConfigHierarchy( config_path );</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; variables.Count(); i++ )</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        {</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>            <span class="keywordtype">string</span> variable = variables.Get(i);</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span> </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>            <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> j = 0; j &lt; base_classes.Count(); j++ )</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>            {</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>                <span class="keywordflow">if</span> ( variable == base_classes.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga8fc49f31d2e62128536217aa2b627e46">Get</a>(j) )</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>                {</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>                    <span class="keywordtype">string</span> new_config_path = ( config_path + <span class="stringliteral">&quot; &quot;</span> + variable ).Trim();</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>                    m_ConfigHierarchyTextListbox.AddItem( <span class="stringliteral">&quot;+ &quot;</span> + variable, <span class="keyword">new</span> <a class="code hl_typedef" href="../../dc/db7/_script_console_8c.html#a1775d06eeae54f0eb0a65a24b223b165">ConfigParams</a>( <span class="keyword">false</span>, variable, 0, new_config_path, 0 ), 0);</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>                }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>            }</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        }</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    }</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#af05ccde2a142d675a194b1c6f473a276">  184</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#af05ccde2a142d675a194b1c6f473a276">FindInHierarchy</a>( <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a6e64693a765afc8a0b5442acfb2ba262">class_name</a> )</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    {</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        m_ConfigHierarchyTextListbox.ClearItems();</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        m_ConfigVariablesTextListbox.ClearItems();</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span> </div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a6e64693a765afc8a0b5442acfb2ba262">class_name</a>.ToLower(  );</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        <span class="keywordtype">string</span> config_base_path = <span class="stringliteral">&quot;configfile&quot;</span>;</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span> </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        ref <a class="code hl_class" href="../../d2/d41/classarray.html">TStringArray</a> base_classes = <span class="keyword">new</span> <a class="code hl_typedef" href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a>;</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#a35bce460c0859ef91cccf511c579c73d">GetBaseConfigClasses</a>( base_classes );</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span> </div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        <span class="keywordtype">string</span> filter_lower = <a class="code hl_variable" href="../../d1/db8/_option_selector_multistate_8c.html#a6e64693a765afc8a0b5442acfb2ba262">class_name</a>;</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        filter_lower.<a class="code hl_function" href="../../d5/da2/group___strings.html#gaf7bcbd43039fc0ff5a8f7a96d4586a54">ToLower</a>(  );</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span> </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        ref <a class="code hl_class" href="../../d2/d41/classarray.html">TStringArray</a> filters = <span class="keyword">new</span> <a class="code hl_typedef" href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a>;</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        filter_lower.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga91f842c7e8566e34483019f02101bd2e">Split</a>( <span class="stringliteral">&quot; &quot;</span>, filters );</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span> </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; base_classes.Count(); i++ )</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>        {</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>            <span class="keywordtype">string</span> config_path = config_base_path + <span class="stringliteral">&quot; &quot;</span> + base_classes.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga8fc49f31d2e62128536217aa2b627e46">Get</a>(i);</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>            ref <a class="code hl_class" href="../../d2/d41/classarray.html">TStringArray</a> variables = m_ModuleConfigViewer.GetConfigHierarchy( config_path );</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span> </div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>            <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> j = 0; j &lt; variables.Count(); j++ )</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>            {</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>                <span class="keywordtype">string</span> variable = variables.Get(j);</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>                <span class="keywordtype">string</span> variable_lower = variable;</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>                variable_lower.<a class="code hl_function" href="../../d5/da2/group___strings.html#gaf7bcbd43039fc0ff5a8f7a96d4586a54">ToLower</a>(  );</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span> </div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>                <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> k = 0; k &lt; filters.Count(); k++ )</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>                {</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>                    <span class="keywordflow">if</span> ( variable_lower.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga85b2e59c7d314ab5456e50bab2627882">Contains</a>(filters.Get(k)))</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>                    {</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>                        <span class="keywordtype">string</span> new_config_path = ( config_path + <span class="stringliteral">&quot; &quot;</span> + variable ).Trim();</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>                        m_ConfigHierarchyTextListbox.AddItem( <span class="stringliteral">&quot;+ &quot;</span> + variable, <span class="keyword">new</span> <a class="code hl_typedef" href="../../dc/db7/_script_console_8c.html#a1775d06eeae54f0eb0a65a24b223b165">ConfigParams</a>( <span class="keyword">false</span>, variable, 0, new_config_path, 0 ), 0);</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>                        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>                    }</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>                }</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>            }</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>        }</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>    }</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>    </div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#af3516a72f24b4a9e2b5944c98baee86d">  225</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#af3516a72f24b4a9e2b5944c98baee86d">OnChange</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">bool</span> finished )</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    {</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>        super.OnChange( w, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, finished );</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span> </div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>        <span class="keywordflow">if</span> ( w == m_ObjectConfigFilter )</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>        {</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>            <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#a43e70af7edae817ce88df68548e94d9c">ChangeConfigFilter</a>();</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>        }</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span> </div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>    }</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>    </div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a121d28d79948f6a394f86836c9fbc25f">  237</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#a121d28d79948f6a394f86836c9fbc25f">OnClick</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button )</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>    {</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>        super.OnClick( w, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, button );</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>        </div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>        <span class="keywordflow">if</span> ( w == m_BtnOk )</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>        {       </div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>            <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#a8f4d5e5802aaffce6e156a6e2973fd7c">PopupBack</a>();</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>        }</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_BtnCancel )</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>        {</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>            <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#a8f4d5e5802aaffce6e156a6e2973fd7c">PopupBack</a>();</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>        }</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_BtnCopyToClipboard )</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>        {</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>            <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#a29e9bcb0f3d043cf4c00cb8ef36c1b87">AddItemToClipboard</a>( m_ConfigVariablesTextListbox );</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>        }</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( w == m_ConfigHierarchyTextListbox )</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>        {</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>            <span class="keywordtype">int</span> objects_row_index = m_ConfigHierarchyTextListbox.GetSelectedRow();</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>            </div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>            <span class="keywordflow">if</span> ( objects_row_index &gt; -1 &amp;&amp; objects_row_index &lt; m_ConfigHierarchyTextListbox.GetNumItems() )</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>            {</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>                <a class="code hl_typedef" href="../../dc/db7/_script_console_8c.html#a1775d06eeae54f0eb0a65a24b223b165">ConfigParams</a> config_params;</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>                m_ConfigHierarchyTextListbox.GetItemData( objects_row_index, 0, config_params );</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>                </div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>                <span class="keywordflow">if</span> ( config_params.param1 == <span class="keyword">false</span> )</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>                {</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>                    <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#aa33137b396d9e32003904ea2765fcf30">ExpandHierarchy</a>( objects_row_index );</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>                }</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>                <span class="keywordflow">else</span></div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>                {</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>                    <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#af856068175e56e8b3461bbb0bd4d0b4d">CollapseHierarchy</a>( objects_row_index );</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>                }</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>                <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#a3dd952f8ad236b6976863115248ccd05">RenderVariables</a>( objects_row_index );</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>            }</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>            </div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>        }</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>        </div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>    }</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>}</div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="a_option_selector_multistate_8c_html_a46c20eb2a26abeb1e934cd66e1dd6484"><div class="ttname"><a href="../../d1/db8/_option_selector_multistate_8c.html#a46c20eb2a26abeb1e934cd66e1dd6484">path</a></div><div class="ttdeci">string path</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00149">OptionSelectorMultistate.c:149</a></div></div>
<div class="ttc" id="a_option_selector_multistate_8c_html_a6e64693a765afc8a0b5442acfb2ba262"><div class="ttname"><a href="../../d1/db8/_option_selector_multistate_8c.html#a6e64693a765afc8a0b5442acfb2ba262">class_name</a></div><div class="ttdeci">class OptionSelectorMultistate extends OptionSelector class_name</div></div>
<div class="ttc" id="a_plugin_manager_8c_html_a35050f82bea320b7a5336fc549630eaf"><div class="ttname"><a href="../../d9/d5d/_plugin_manager_8c.html#a35050f82bea320b7a5336fc549630eaf">GetPlugin</a></div><div class="ttdeci">PluginBase GetPlugin(typename plugin_type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5d/_plugin_manager_8c_source.html#l00300">PluginManager.c:300</a></div></div>
<div class="ttc" id="a_script_console_8c_html_a1775d06eeae54f0eb0a65a24b223b165"><div class="ttname"><a href="../../dc/db7/_script_console_8c.html#a1775d06eeae54f0eb0a65a24b223b165">ConfigParams</a></div><div class="ttdeci">Param5&lt; bool, string, int, string, int &gt; ConfigParams</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db7/_script_console_8c_source.html#l00002">ScriptConsole.c:2</a></div></div>
<div class="ttc" id="aclass_c_game_html_a0a8957d675b1e2fb4b3738969803fc11"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a0a8957d675b1e2fb4b3738969803fc11">CGame::CopyToClipboard</a></div><div class="ttdeci">proto native void CopyToClipboard(string text)</div></div>
<div class="ttc" id="aclass_debug_html"><div class="ttname"><a href="../../da/d7d/class_debug.html">Debug</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00013">Debug.c:14</a></div></div>
<div class="ttc" id="aclass_debug_html_a35bce460c0859ef91cccf511c579c73d"><div class="ttname"><a href="../../da/d7d/class_debug.html#a35bce460c0859ef91cccf511c579c73d">Debug::GetBaseConfigClasses</a></div><div class="ttdeci">static void GetBaseConfigClasses(out TStringArray base_classes)</div><div class="ttdoc">Returns some of base config classes strings like CfgVehicles, CfgWeapons, etc. for searching purposes...</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00384">Debug.c:384</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html">UIPopupScript</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d56/_u_i_popup_script_8c_source.html#l00001">UIPopupScript.c:2</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a121d28d79948f6a394f86836c9fbc25f"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a121d28d79948f6a394f86836c9fbc25f">UIPopupScript::OnClick</a></div><div class="ttdeci">override bool OnClick(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d33/_u_i_popup_script_configs_8c_source.html#l00237">UIPopupScriptConfigs.c:237</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a29e9bcb0f3d043cf4c00cb8ef36c1b87"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a29e9bcb0f3d043cf4c00cb8ef36c1b87">UIPopupScript::AddItemToClipboard</a></div><div class="ttdeci">void AddItemToClipboard(TextListboxWidget text_listbox_widget)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d33/_u_i_popup_script_configs_8c_source.html#l00041">UIPopupScriptConfigs.c:41</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a3199a65cc4a17742f2ae0cfef0ad223a"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a3199a65cc4a17742f2ae0cfef0ad223a">UIPopupScript::UIPopupScriptConfigs</a></div><div class="ttdeci">void UIPopupScriptConfigs(Widget wgt)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d33/_u_i_popup_script_configs_8c_source.html#l00014">UIPopupScriptConfigs.c:14</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a332c4755ba9110cd3bf4ef2472516790"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a332c4755ba9110cd3bf4ef2472516790">UIPopupScript::m_BtnCancel</a></div><div class="ttdeci">private ButtonWidget m_BtnCancel</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d33/_u_i_popup_script_configs_8c_source.html#l00004">UIPopupScriptConfigs.c:4</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a3dd952f8ad236b6976863115248ccd05"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a3dd952f8ad236b6976863115248ccd05">UIPopupScript::RenderVariables</a></div><div class="ttdeci">void RenderVariables(int row)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d33/_u_i_popup_script_configs_8c_source.html#l00052">UIPopupScriptConfigs.c:52</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a43e70af7edae817ce88df68548e94d9c"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a43e70af7edae817ce88df68548e94d9c">UIPopupScript::ChangeConfigFilter</a></div><div class="ttdeci">void ChangeConfigFilter()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d33/_u_i_popup_script_configs_8c_source.html#l00023">UIPopupScriptConfigs.c:23</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a48f7b341c69e0f4439967d5594b88100"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a48f7b341c69e0f4439967d5594b88100">UIPopupScript::m_ModuleConfigViewer</a></div><div class="ttdeci">private PluginConfigViewer m_ModuleConfigViewer</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d33/_u_i_popup_script_configs_8c_source.html#l00010">UIPopupScriptConfigs.c:10</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a5b6d1f87c9e9a6e8b6e861264fd14f6c"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a5b6d1f87c9e9a6e8b6e861264fd14f6c">UIPopupScript::OnOpen</a></div><div class="ttdeci">override void OnOpen(Param param)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d33/_u_i_popup_script_configs_8c_source.html#l00035">UIPopupScriptConfigs.c:35</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a8f4d5e5802aaffce6e156a6e2973fd7c"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a8f4d5e5802aaffce6e156a6e2973fd7c">UIPopupScript::PopupBack</a></div><div class="ttdeci">protected UIPopupScript PopupBack()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d56/_u_i_popup_script_8c_source.html#l00037">UIPopupScript.c:37</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a95bebb1d92822fee0c08860bee06445b"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a95bebb1d92822fee0c08860bee06445b">UIPopupScript::m_ObjectConfigFilter</a></div><div class="ttdeci">private EditBoxWidget m_ObjectConfigFilter</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d33/_u_i_popup_script_configs_8c_source.html#l00012">UIPopupScriptConfigs.c:12</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a9c726de9e8e0200412eb78d05ac00d4a"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a9c726de9e8e0200412eb78d05ac00d4a">UIPopupScript::m_ConfigVariablesTextListbox</a></div><div class="ttdeci">private TextListboxWidget m_ConfigVariablesTextListbox</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d33/_u_i_popup_script_configs_8c_source.html#l00008">UIPopupScriptConfigs.c:8</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_aa33137b396d9e32003904ea2765fcf30"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#aa33137b396d9e32003904ea2765fcf30">UIPopupScript::ExpandHierarchy</a></div><div class="ttdeci">void ExpandHierarchy(int row)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d33/_u_i_popup_script_configs_8c_source.html#l00069">UIPopupScriptConfigs.c:69</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_aa7d21534833c489cb2ed19363f7b37ba"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#aa7d21534833c489cb2ed19363f7b37ba">UIPopupScript::m_BtnCopyToClipboard</a></div><div class="ttdeci">private ButtonWidget m_BtnCopyToClipboard</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d33/_u_i_popup_script_configs_8c_source.html#l00005">UIPopupScriptConfigs.c:5</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_ac15c43c18cbb9f2a56f307928267f8be"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#ac15c43c18cbb9f2a56f307928267f8be">UIPopupScript::m_BtnOk</a></div><div class="ttdeci">private ButtonWidget m_BtnOk</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d33/_u_i_popup_script_configs_8c_source.html#l00003">UIPopupScriptConfigs.c:3</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_ad91f3fc62e32d185e85f43671a9bd75b"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#ad91f3fc62e32d185e85f43671a9bd75b">UIPopupScript::ClearHierarchy</a></div><div class="ttdeci">void ClearHierarchy()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d33/_u_i_popup_script_configs_8c_source.html#l00155">UIPopupScriptConfigs.c:155</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_ae32e72070d033dd6f9700fb0bf7a1459"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#ae32e72070d033dd6f9700fb0bf7a1459">UIPopupScript::m_ConfigHierarchyTextListbox</a></div><div class="ttdeci">private TextListboxWidget m_ConfigHierarchyTextListbox</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d33/_u_i_popup_script_configs_8c_source.html#l00007">UIPopupScriptConfigs.c:7</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_af05ccde2a142d675a194b1c6f473a276"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#af05ccde2a142d675a194b1c6f473a276">UIPopupScript::FindInHierarchy</a></div><div class="ttdeci">void FindInHierarchy(string class_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d33/_u_i_popup_script_configs_8c_source.html#l00184">UIPopupScriptConfigs.c:184</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_af3516a72f24b4a9e2b5944c98baee86d"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#af3516a72f24b4a9e2b5944c98baee86d">UIPopupScript::OnChange</a></div><div class="ttdeci">override bool OnChange(Widget w, int x, int y, bool finished)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d33/_u_i_popup_script_configs_8c_source.html#l00225">UIPopupScriptConfigs.c:225</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_af856068175e56e8b3461bbb0bd4d0b4d"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#af856068175e56e8b3461bbb0bd4d0b4d">UIPopupScript::CollapseHierarchy</a></div><div class="ttdeci">void CollapseHierarchy(int row)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d33/_u_i_popup_script_configs_8c_source.html#l00109">UIPopupScriptConfigs.c:109</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array&lt; string &gt;</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___enforce_html_ga28845e68ed8329715e29aded7542ca15"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a></div><div class="ttdeci">array&lt; string &gt; TStringArray</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00644">EnScript.c:644</a></div></div>
<div class="ttc" id="agroup___strings_html_ga85b2e59c7d314ab5456e50bab2627882"><div class="ttname"><a href="../../d5/da2/group___strings.html#ga85b2e59c7d314ab5456e50bab2627882">string::Contains</a></div><div class="ttdeci">bool Contains(string sample)</div><div class="ttdoc">Retunrs true if sample is substring of string.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d04/_en_string_8c_source.html#l00272">EnString.c:272</a></div></div>
<div class="ttc" id="agroup___strings_html_ga8fc49f31d2e62128536217aa2b627e46"><div class="ttname"><a href="../../d5/da2/group___strings.html#ga8fc49f31d2e62128536217aa2b627e46">string::Get</a></div><div class="ttdeci">string Get(int index)</div><div class="ttdoc">Gets n-th character from string.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d04/_en_string_8c_source.html#l00419">EnString.c:419</a></div></div>
<div class="ttc" id="agroup___strings_html_ga91f842c7e8566e34483019f02101bd2e"><div class="ttname"><a href="../../d5/da2/group___strings.html#ga91f842c7e8566e34483019f02101bd2e">string::Split</a></div><div class="ttdeci">void Split(string sample, out array&lt; string &gt; output)</div><div class="ttdoc">Splits string into array of strings separated by 'sample'.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d04/_en_string_8c_source.html#l00381">EnString.c:381</a></div></div>
<div class="ttc" id="agroup___strings_html_gaf7bcbd43039fc0ff5a8f7a96d4586a54"><div class="ttname"><a href="../../d5/da2/group___strings.html#gaf7bcbd43039fc0ff5a8f7a96d4586a54">string::ToLower</a></div><div class="ttdeci">proto int ToLower()</div><div class="ttdoc">Changes string to lowercase. Returns length.</div></div>
<div class="ttc" id="agroup___tools_html_de/d90/class_param"><div class="ttname"><a href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a></div><div class="ttdoc">Base Param Class with no parameters. Used as general purpose parameter overloaded with Param1 to Para...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/param_8c_source.html#l00011">param.c:12</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_d9cd76049b7d723996f4c0af45972b06.html">SceneEditorMenu</a></li><li class="navelem"><a class="el" href="../../dir_e07a6aec7fbf0178b4da362c4d98abad.html">UIPopupScript</a></li><li class="navelem"><a class="el" href="../../d7/d33/_u_i_popup_script_configs_8c.html">UIPopupScriptConfigs.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
